import { Base, IList$1, Type } from "igniteui-webcomponents-core";
import { SortDescriptionCollection } from "igniteui-webcomponents-core";
import { ColumnGroupDescription } from "./ColumnGroupDescription";
import { NotifyCollectionChangedEventArgs } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class ColumnGroupDescriptionCollection extends Base {
    static $t: Type;
    private f;
    constructor();
    private a;
    b: SortDescriptionCollection;
    g(a: ColumnGroupDescription): boolean;
    n(a: number, b: ColumnGroupDescription): void;
    m(): void;
    get(a: number): ColumnGroupDescription;
    j(a: ColumnGroupDescription): number;
    h(a: ColumnGroupDescription): boolean;
    d(a: number): ColumnGroupDescription;
    set(a: number, b: ColumnGroupDescription): ColumnGroupDescription;
    size(): number;
    l(a: (sender: any, e: NotifyCollectionChangedEventArgs) => void): void;
    o(a: (sender: any, e: NotifyCollectionChangedEventArgs) => void): void;
    readonly i: IList$1<ColumnGroupDescription>;
}
